package com.hzya.frame.sys.file.upload.entity;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.util.List;

/**
 * @description: 系统文件上传
 * @tableName: sys_file
 * @entityName: FileUploadEntity
 * @author: gjh
 * @history: 1.0
 */
public class FileUploadEntity extends BaseEntity {

    /**
     * 文件名称
     */
    private String filename;
    /**
     * 文件新名称
     */
    private String filesavename;
    /**
     * 文件类型
     */
    private String type;
    /**
     * 文件类型
     * 1:普通文件
     * 2：插件附件
     */
    private String fileType;
    /**
     * 文件大小（kb）
     */
    private Long file_size;
    /**
     * 描述
     */
    private String description;
    /**
     * 文件路径
     */
    private String filepath;

    /**
     * 用来接收文件上传的集合
     */
    private List<MultipartFile> files;

    //文件上传需要的参数
    private File[] multiFile;
    private String[] multiFileFileName;

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    /**
     * 文件名称
     */
    public String getFilename() {
        return filename;
    }

    /**
     * 文件名称
     */
    public void setFilename(String filename) {
        this.filename = filename;
    }

    /**
     * 文件新名称
     */
    public String getFilesavename() {
        return filesavename;
    }

    /**
     * 文件新名称
     */
    public void setFilesavename(String filesavename) {
        this.filesavename = filesavename;
    }

    /**
     * 文件类型
     */
    public String getType() {
        return type;
    }

    /**
     * 文件类型
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 文件大小（kb）
     */
    public Long getFile_size() {
        return file_size;
    }

    /**
     * 文件大小（kb）
     */
    public void setFile_size(Long file_size) {
        this.file_size = file_size;
    }

    /**
     * 描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 描述
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * 文件路径
     */
    public String getFilepath() {
        return filepath;
    }

    /**
     * 文件路径
     */
    public void setFilepath(String filepath) {
        this.filepath = filepath;
    }

    public List<MultipartFile> getFiles() {
        return files;
    }

    public void setFiles(List<MultipartFile> files) {
        this.files = files;
    }


    public File[] getMultiFile() {
        return multiFile;
    }

    public void setMultiFile(File[] multiFile) {
        this.multiFile = multiFile;
    }

    public String[] getMultiFileFileName() {
        return multiFileFileName;
    }

    public void setMultiFileFileName(String[] multiFileFileName) {
        this.multiFileFileName = multiFileFileName;
    }
}
